%define pwlib_version 1.8.7
%define openh323_version 1.15.6

Summary:	Gnome H.323 compatible client
Name:		gnomemeeting
Version:	1.2.2
Release:	2mdk
License:	GPL
Group:		Video
BuildRequires:	autoconf2.5
BuildRequires:	libgnomeui2-devel >= 2.0.0
BuildRequires:	openh323-devel >= %{openh323_version}
Buildrequires:	pwlib-devel >= %{pwlib_version} 
BuildRequires:	SDL1.2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  evolution-data-server-devel
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png

URL:		http://www.gnomemeeting.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	dynamic <= 0.3-2mdk

%description
GnomeMeeting is a tool to communicate with video and audio over the internet.
It uses the H323 protocol and is compatible with Microsoft Netmeeting.

%prep
%setup -q

%build

%if %mdkversion <= 1020
export CFLAGS="$RPM_OPT_FLAGS -fno-unit-at-a-time -DLDAP_DEPRECATED" 
export CXXFLAGS="$RPM_OPT_FLAGS -fno-unit-at-a-time -DLDAP_DEPRECATED"
%endif

export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
export CXXFLAGS="%{optflags} -DLDAP_DEPRECATED"

%configure2_5x	--with-openh323-includes=%{_includedir}/openh323 \
%if %mdkversion <= 1020
		--disable-howl \
%endif
		--disable-schemas-install 
%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

#icons entries
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


#%menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="soundwrapper %{_bindir}/%{name}" needs="x11" \
icon="%{name}.png" section="Internet/Video Conference" \
title="GnomeMeeting" longtitle="Talk to people over the Internet" \
startupnotify="true"
EOF

%define launchers %{_sysconfdir}/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Gnomemeeting \$devicename
Comment=Gnomemeeting
TryExec=%{_bindir}/gnomemeeting
Exec=soundwrapper %{_bindir}/gnomemeeting
Terminal=false
Icon=gnomemeeting.png
Type=Application
StartupNotify=true
EOF

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 40
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 40

%preun
if [ "$1" = "0" ]; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomemeeting.schemas > /dev/null
fi

%postun
%{clean_menus}

if [ $1 = 0 ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gnomemeeting.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog FAQ AUTHORS INSTALL TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnomemeeting
%{_datadir}/gnome/help/gnomemeeting
%{_datadir}/omf/gnomemeeting
%{_mandir}/*/*
%{_menudir}/*
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %launchers/*.desktop

%changelog
* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- rebuild

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-1mdk 
- Release 1.2.2 final

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-0.20050810.2mdk
- rebuilt against new openldap-2.3.6 libs
- pass "-DLDAP_DEPRECATED" to the CFLAGS

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050810.1mdk 
- New snapshot with more fixes 
- Remove patch0, merged upstream (not that ugly, after all :)

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-0.20050809.1mdk 
- CVS snapshot of GNOMEMeeting 1.2.2
- Patch0 : ugly hack to prevent UI freeze when probing NAT

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-4mdk 
- Rebuild with new evolution-data-server

* Wed Mar 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-3mdk 
- use soundwrapper to start gnomemeeting (Mdk bug #14908)

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk 
- Fix build on 10.1

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk 
- Release 1.2.1
- Remove patch0 (merged upstream)

* Mon Feb 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-5mdk 
- Patch0: fix pwlib detection in multiarch environment

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-4mdk 
- Fix build for 10.1
- Rebuild with latest howl

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk 
- Fix buildrequires

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-2mdk 
- Remove requirements on plugins, it is handled by pwlib/openh323 packages
  directly

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk 
- Release 1.2.0
- Remove patch0 (no longer needed)

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-12mdk
- Fix build requires

* Mon Sep 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-11mdk 
- Rebuild against latest openh323 (no vpb support) and remove patch1,
  Mdk bug #11582 should be fixed now

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-10mdk
- Patch1 : disable iLBC codecs until crash is fixed for them

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-9mdk
- Enforce alsa plugin too, since some webcam doesn't work in oss mode
 (Mdk bug #11146)

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Rebuild with new openh323/pwlib

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Update dynamic launcher to fix device name use with dynamic entries

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Fix menu

* Wed Jun 16 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-5mdk
- rebuild
- patch0 - use new pwlib, openh323 libraries (experimental)
- recommended versions of pwlib, openh323 modified (for patch0)

* Mon May 03 2004 Robert Vojta <robert.vojta@mandrake.org> 1.0.2-4mdk
- Fix BuildRequires (vpb-devel)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Fix BuildRequires

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Enforce dependencies on pwlib plugins, to workaround Mdk bug #9556)

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- no explicit library dependencies
- don't bzip2 icons in src.rpm
- spec cosmetics
- drop P0 & P1 (seems to be fixed upstream)
- manually add -lvpb to LDFLAGS

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.5-4mdk
- Patch1 (CVS): allow build with libxml 2.6.x
- Fix menu

* Wed Oct 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.98.5-3mdk
- BuildRequires

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.98.5-2mdk
- lib64 fixes

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.5-1mdk
- Release 0.98.5

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.4-1mdk
- Release 0.98.4

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.3-2mdk
- Fix BuildRequires

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.3-1mdk
- Release 0.98.3

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.2-1mdk
- Release 0.98.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.98.1-1mdk
- Release 0.98.1

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.98.0-1mdk
- Release 0.98.0

* Mon Mar 03 2003 Florin <florin@mandrakesoft.com> 0.96.1-2mdk
- update the pwlib and openh323 Requires versions

* Mon Mar 03 2003 Florin <florin@mandrakesoft.com> 0.96.1-1mdk
- 0.96.1

* Fri Feb 28 2003 Florin <florin@mandrakesoft.com> 0.96-4mdk
- rebuild

* Mon Feb 24 2003 Florin <florin@mandrakesoft.com> 0.96-3mdk
- add the MicroTelco patch

* Mon Jan 27 2003 Florin <florin@mandrakesoft.com> 0.96-2mdk
- really final release

* Thu Jan 23 2003 Florin <florin@mandrakesoft.com> 0.96-1mdk
- 0.96

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 0.95-0.20030120.1mdk
- 2003-20-01
- fix the gconf-related commands (thx to F. Crozat)
- add some BuildRequires (thx to Michael Reinsch)

* Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 0.94-0.1.1mdk
- 0.94.1
- new icons
- move to the video group 
- several new fixes/adaptions

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.93-3mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Mon Aug 05 2002 Florin <florin@mandrakesoft.com> 0.93-2mdk
- 0.93.1

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 0.93-1mdk
- 0.93
- ugly add of a -lartsc
- add the bonobo file

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.92-0.4mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-0.3mdk
- Fix BuildRequires

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92-0.2mdk
- Fix schema registration

* Mon Jun 17 2002 Florin <florin@mandrakesoft.com> 0.92-0.1mdk
- 0.92.1

* Wed Jun 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.86-0.2mdk
- Relax Requires: for pwlib and openh323. Florin may change that...
- Patch0: Include the correct <config.h> header. It will correctly
  define ENABLE_NLS so that further including <libintl.h> won't be
  messed up.

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 0.86-0.1mdk
- 0.86 snapshot

* Thu Mar 21 2002 Florin <florin@mandrakesoft.com> 0.85-2mdk
- add libGConf-devel in BuildRequires (thx to DUCLOS Andre)

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 0.85-1mdk
- 0.85.0

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 0.84-1mdk
- 0.84.0
- compile with disable gconf and add it in post
- use png icons
- add the schemas file in the file list

* Wed Dec 05 2001 Florin <florin@mandrakesoft.com> 0.12-4mdk
- a new source 0.12-2 that fixes some bugs

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 0.12-3mdk
- new sources that fix some connexion bug

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 0.12-2mdk
- remove the --disable-crash-dialog
- Thx to F.Crozat

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 0.12-1mdk
- 0.12
- re --noapplet with --disable-crash-dialog

* Tue Nov 20 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.12-0.2mdk
- fix x86 specific perl -pi calls in spec file - should be arch neutral now

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 0.12-0.1mdk
- 18-11-01

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Enforce dependencies
- Patch0: fix compilation with latest version of GNOME1 platform

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 0.11-3mdk
- new pwlib1 and openh323_1

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 0.11-2mdk
- rebuild for db3

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-0.PRE3.3mdk
- BuildRequires: gettext-devel
- Remove redundant BuildRequires

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.11-0.PRE3.2mdk
- added dynamic desktop entry

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.11-0.PRE3.1mdk
- update the versions in Requires & Buildrequires sections
- use /usr/include/openh323 instead of /usr/include/oh323
- use -lh323_linux_x86_r instead if -loh323
- 0.11PRE3

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.10-8mdk
- add the versions in the Require section
- fix the permissions of some doc files

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-7mdk
- Fix menu entry for applet support
- Add missing directory

* Mon Aug 20 2001 Florin <florin@mandrakesoft.com> 0.10-6mdk
- rebuild due too pwlib fixes

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-5mdk
- update the xpm icons

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-4mdk
- new modified sources

* Sat Aug 18 2001 Florin <florin@mandrakesoft.com> 0.10-3mdk
- slighlty modified sources
- use the new PTLIB_INCLUDE_DIR & OPENH323_INCLUDE_DIR var
- don't need the old patches anymore
- add the ptlib patch because of pwlib

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 0.10-2mdk
- added patches (more elegant)

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 0.10-1mdk
- first Mandrake release
